dp12rxss: xvidframe_crc.h File Reference

| dp12rxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Macros | Functions
xvidframe_crc.h File Reference

## Overview

This is the main header file for the Xilinx HDCP abstraction layer.

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes

     1.00  GM   17/07/17 First Release

## Macros
#define | XVidFrameCrc_ReadReg(BaseAddress, RegOffset) XVidFrameCrc_In32((BaseAddress) + (RegOffset))
| This is a low-level function that reads from the specified register. More...
#define | XVidFrameCrc_WriteReg(BaseAddress, RegOffset, Data) XVidFrameCrc_Out32((BaseAddress) + (RegOffset), (Data))
| This is a low-level function that writes to the specified register. More...
Register access macro definitions.
#define | XVidFrameCrc_In32 Xil_In32
#define | XVidFrameCrc_Out32 Xil_Out32

## Functions
int | XVidFrameCrc_Initialize (Video_CRC_Config *VidFrameCRC)
| This function is used to initialize the Video Frame CRC instance. More...
void | XVidFrameCrc_Reset (void)
| This function is used to initialize the Video Frame CRC instance. More...
void | XVidFrameCrc_Report (void)
| This function reports CRC values of Video components. More...

## Macro Definition Documentation

#define XVidFrameCrc_ReadReg | ( |  | BaseAddress,
|  |  | RegOffset
| ) |  | XVidFrameCrc_In32((BaseAddress) + (RegOffset))

This is a low-level function that reads from the specified register.

Parameters

  BaseAddress | is the base address of the device.
  RegOffset | is the register offset to be read from.

Returns
  The 32-bit value of the specified register.

Note
  C-style signature: u32 XVidFrameCrc_ReadReg(u32 BaseAddress, u32 RegOffset)

Referenced by XVidFrameCrc_Report(), and XVidFrameCrc_Reset().

#define XVidFrameCrc_WriteReg | ( |  | BaseAddress,
|  |  | RegOffset,
|  |  | Data
| ) |  | XVidFrameCrc_Out32((BaseAddress) + (RegOffset), (Data))

This is a low-level function that writes to the specified register.

Parameters

  BaseAddress | is the base address of the device.
  RegOffset | is the register offset to write to.
  Data | is the 32-bit data to write to the specified register.

Returns
  None.

Note
  C-style signature: void XVidFrameCrc_WriteReg(u32 BaseAddress, u32 RegOffset, u32 Data)

Referenced by XVidFrameCrc_Initialize(), and XVidFrameCrc_Reset().

## Function Documentation

int XVidFrameCrc_Initialize | ( | Video_CRC_Config * | VidFrameCRC | ) |

This function is used to initialize the Video Frame CRC instance.

Parameters

  None |

Returns
  - XST_SUCCESS or XST_FAILURE

Note
  None.

References XVidFrameCrc_WriteReg.

void XVidFrameCrc_Report | ( | void |  | ) |

This function reports CRC values of Video components.

Parameters

  None. |

Returns
  None.

Note
  None.

References XVidFrameCrc_ReadReg.

void XVidFrameCrc_Reset | ( | void |  | ) |

This function is used to initialize the Video Frame CRC instance.

Parameters

  None |

Returns
  - XST_SUCCESS or XST_FAILURE

Note
  None.

References XVidFrameCrc_ReadReg, and XVidFrameCrc_WriteReg.